(function (lib, img, cjs, ss, an) {

var p; // shortcut to reference prototypes
lib.ssMetadata = [];


// symbols:



(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,500,255);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,500,255);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,500,255);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,500,255);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,500,255);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,500,255);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,500,255);


(lib.ezgifcomgifmaker1 = function() {
	this.initialize(img.ezgifcomgifmaker1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,500,255);


(lib.ixora01 = function() {
	this.initialize(img.ixora01);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,330,70);// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.sun = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("rgba(255,255,204,0.498)").s().p("AhwBxQgvguAAhDQAAhCAvguQAugvBCAAQBDAAAuAvQAvAuAABCQAABDgvAuQguAvhDAAQhCAAgugvg");
	this.shape.setTransform(16,16);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

}).prototype = getMCSymbolPrototype(lib.sun, new cjs.Rectangle(0,0,32,32), null);


// stage content:
(lib.riverwater_Canvas = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		playSound("riverwater");
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(15));

	// Layer 5
	this.instance = new lib.sun();
	this.instance.parent = this;
	this.instance.setTransform(209.9,47,1.804,1.433,0,0,0,16,16);
	this.instance.filters = [new cjs.BlurFilter(20, 20, 3)];
	this.instance.cache(-2,-2,36,36);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(15));

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.rf(["rgba(102,217,255,0.051)","rgba(255,255,153,0.2)","rgba(100,100,0,0.498)"],[0,0.635,1],4,70,0,4,70,352.2).s().p("Eg2rAfQMAAAg+fMBtXAAAMAAAA+fg");
	this.shape.setTransform(350,200);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(15));

	// Layer 4 (mask)
	var mask = new cjs.Shape();
	mask._off = true;
	mask.graphics.p("Eg2rAfQMAAAg+fMBtXAAAMAAAA+fg");
	mask.setTransform(350,200);

	// Layer 3
	this.instance_1 = new lib.ixora01();
	this.instance_1.parent = this;
	this.instance_1.setTransform(-41,352);

	this.instance_2 = new lib.ixora01();
	this.instance_2.parent = this;
	this.instance_2.setTransform(440,345);

	var maskedShapeInstanceList = [this.instance_1,this.instance_2];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_2},{t:this.instance_1}]}).wait(15));

	// Layer 1
	this.instance_3 = new lib.ezgifcomgifmaker1();
	this.instance_3.parent = this;
	this.instance_3.setTransform(-37,0,1.575,1.575);

	this.instance_4 = new lib.Bitmap2();
	this.instance_4.parent = this;
	this.instance_4.setTransform(-37,0,1.575,1.575);

	this.instance_5 = new lib.Bitmap4();
	this.instance_5.parent = this;
	this.instance_5.setTransform(-37,0,1.575,1.575);

	this.instance_6 = new lib.Bitmap8();
	this.instance_6.parent = this;
	this.instance_6.setTransform(-37,0,1.575,1.575);

	this.instance_7 = new lib.Bitmap9();
	this.instance_7.parent = this;
	this.instance_7.setTransform(-37,0,1.575,1.575);

	this.instance_8 = new lib.Bitmap11();
	this.instance_8.parent = this;
	this.instance_8.setTransform(-37,0,1.575,1.575);

	this.instance_9 = new lib.Bitmap12();
	this.instance_9.parent = this;
	this.instance_9.setTransform(-37,0,1.575,1.575);

	this.instance_10 = new lib.Bitmap13();
	this.instance_10.parent = this;
	this.instance_10.setTransform(-37,0,1.575,1.575);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_3}]}).to({state:[{t:this.instance_4}]},2).to({state:[{t:this.instance_5}]},2).to({state:[{t:this.instance_6}]},1).to({state:[{t:this.instance_7}]},2).to({state:[{t:this.instance_8}]},2).to({state:[{t:this.instance_9}]},2).to({state:[{t:this.instance_10}]},2).wait(2));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(313,197.1,787.5,404.6);
// library properties:
lib.properties = {
	width: 700,
	height: 400,
	fps: 24,
	color: "#FFFFFF",
	opacity: 1.00,
	manifest: [
		{src:"images/Bitmap11.png?1484036342771", id:"Bitmap11"},
		{src:"images/Bitmap12.png?1484036342771", id:"Bitmap12"},
		{src:"images/Bitmap13.png?1484036342771", id:"Bitmap13"},
		{src:"images/Bitmap2.png?1484036342771", id:"Bitmap2"},
		{src:"images/Bitmap4.png?1484036342771", id:"Bitmap4"},
		{src:"images/Bitmap8.png?1484036342771", id:"Bitmap8"},
		{src:"images/Bitmap9.png?1484036342771", id:"Bitmap9"},
		{src:"images/ezgifcomgifmaker1.png?1484036342771", id:"ezgifcomgifmaker1"},
		{src:"images/ixora01.png?1484036342771", id:"ixora01"},
		{src:"sounds/riverwater.mp3?1484036342771", id:"riverwater"}
	],
	preloads: []
};




})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{}, AdobeAn = AdobeAn||{});
var lib, images, createjs, ss, AdobeAn;